add_rules("mode.debug","mode.release")
if is_mode("debug") then 
    -- add_cxxflags("-O2","-DOI")
    add_cxxflags("-DOI")
end 
if is_mode("release") then 
    add_cxxflags("-march=native")
end 
set_languages("c++17")
set_warnings("all")

target("P1158")
    set_rundir("20240821/P1158")
    add_files("20240821/P1158/P1158.cpp")

target("lq148jz")
    add_files("20240823/十四届蓝桥比赛/八进制回文平方数.cpp")

target("lq14zy")
    add_files("20240823/十四届蓝桥比赛/主要成分.cpp")

target("lq14jd")
    add_files("20240823/十四届蓝桥比赛/简单算术题.cpp")

target("lq14sd")
    add_files("20240823/十四届蓝桥比赛/数独填数.cpp")

target("P2615")
    add_files("20240828/P2615/P2615.cpp")

target("B4015")
    add_files("20240829/B4015/B4015.cpp")

target("P4089")
    add_files("20240830/P4089/P4089.cpp")

target("P2661")
    add_files("20240830/P2661/P2661.cpp")

target("6261")
    add_files("20240901/6261/6261.cpp")